# $Revision: 1.52 $, $Date: 2005/09/06 22:02:02 $
# TODO:
#	- more subpackages (plugins)
#
# Conditional build:
%bcond_without	svga	# without svgalib support
#
Summary:	Portable x86 PC Emulator
Summary(pl):	Przenony emulator x86 PC
Name:		bochs
Version:	2.2.1
Release:	2
License:	GPL
Group:		Applications/Emulators
Source0:	http://dl.sourceforge.net/bochs/%{name}-%{version}.tar.gz
# Source0-md5:	50484c75d8175fcd97a81432ac18fb71
URL:		http://bochs.sourceforge.net/
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	gtk+2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	wxGTK2-devel
BuildRequires:	zlib-devel
BuildRequires:	pkgconfig
Requires:	XFree86-fonts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bochs is a portable x86 PC emulation software package that emulates
enough of the x86 CPU, related AT hardware, and BIOS to run DOS,
Windows '95, Minix 2.0, and other OS's, all on your workstation.

%description -l pl
Bochs jest przenonym emulatorem x86 PC emulujcym wystarczajco duo
architektury procesora x86 oraz hardware'u AT i BIOS-u eby uruchomi
DOS-a, Windows 95, Minix 2.0 i inne systemy operacyjne, wszystkie na
Twoim komputerze.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
CXXFLAGS="%{rpmcflags} -I/usr/include/ncurses `pkg-config gdk-2.0 --cflags`"
LDFLAGS=`pkg-config gdk-2.0 --libs`
export CXXFLAGS LDFLAGS
# --enable-x86-64 (not supported together with --enable-sep)
# --enable-debugger --enable-iodebug --enable-x86-debugger (slowdowns emulation)
# --enable-apic (no need to specify, configure will choose best depending on nr cpus)

WXGTK2CONFIG=""
[ -x /usr/bin/wx-gtk2-ansi-config ] && WXGTK2CONFIG=wx-gtk2-ansi-config
[ -x /usr/bin/wxgtk-2.4-config ] && WXGTK2CONFIG=wxgtk-2.4-config

[ "x$WXGTK2CONFIG" == "x" ] && echo "Can't find wxGTK2 config file!" && exit 1

%configure \
	WX_CONFIG=$WXGTK2CONFIG \
	--enable-config-interface \
	--enable-new-pit \
	--enable-plugins \
	--enable-cpu-level=6 \
	--enable-compressed-hd \
	--enable-ne2000 \
	--enable-pci \
	--enable-usb \
	--enable-4meg-pages \
	--enable-pae \
	--enable-guest2host-tlb \
	--enable-repeat-speedups \
	--enable-icache \
%ifarch %{ix86}
	--enable-fast-function-calls \
%endif
	--enable-global-pages \
	--enable-host-specific-asms \
	--enable-ignore-bad-msr \
	--enable-disasm \
	--enable-all-optimizations \
	--enable-readline \
	--enable-instrumentation \
	--enable-vbe \
	--enable-fpu \
	--enable-mmx \
	--enable-3dnow \
	--enable-sse=2 \
	--enable-sep \
	--enable-cdrom \
	--enable-sb16=linux \
	--enable-gameport \
	--with-x \
	--with-wx \
	--with-rfb \
	--with-sdl \
	%{?with_svga:-with-svga} \
	--with-x11 \
	--with-term \
	--with-rfb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=%{_docdir}/%{name}-%{version}

mv -f $RPM_BUILD_ROOT%{_datadir}/bochs/VGABIOS*{LICENSE,README} \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

cp -f TESTFORM.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

#rm -f $RPM_BUILD_ROOT%{_datadir}/bochs/*fonts
#rm -f $RPM_BUILD_ROOT%{_datadir}/bochs/*pcf

#find $RPM_BUILD_ROOT -type d -name CVS | xargs rm -rf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so.*
%{_libdir}/%{name}/plugins/*.la
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/keymaps
%{_datadir}/%{name}/keymaps/*.map
%{_datadir}/%{name}/*BIOS*
%{_mandir}/man[15]/*
%{_docdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bochs.spec,v $
Revision 1.52  2005/09/06 22:02:02  arekm
- rel 2

Revision 1.51  2005/08/23 12:42:47  troll
- don't put VGABIOS-lgpl image to docs, but to %%{_datadir}/bochs

Revision 1.50  2005/07/10 13:39:10  saq
- patch0 made its way to the sources

Revision 1.49  2005/07/09 17:39:52  prism
- fixed changelog

Revision 1.48  2005/07/09 17:09:30  prism
- updated to 2.2.1

Revision 1.47  2005/07/08 15:55:24  pascalek
- Relase 2
- missing BR
- more flexible access to wxGTK config

Revision 1.46  2005/05/31 17:46:01  qboosh
- gpm-friendly Source0 URL

Revision 1.45  2005/05/31 15:19:13  saq
- up to 2.2

Revision 1.44  2005/05/24 21:58:45  saq
- pass correct CXXFLAGS for ncurses, thus obsoleting patch0

Revision 1.43  2005/05/21 14:24:00  ankry
- rel. 3

Revision 1.42  2004/11/07 11:41:12  paladine
- cosmetics

Revision 1.41  2004/07/11 20:47:01  tommat
- fixed typo

Revision 1.40  2004/06/27 17:12:15  qboosh
- now we have svgalib on all supported archs

Revision 1.39  2004/03/14 03:08:29  undefine
- builds on amd64 too, release 2

Revision 1.38  2004/03/14 02:56:52  undefine
- copy config.sub, mayby it works on amd64... who know... release 1.1

Revision 1.37  2004/03/14 02:47:08  undefine
- conditional svgalib build
- BR: gtk+-devel

Revision 1.36  2004/03/08 15:41:55  jm
- update to 2.1.1

Revision 1.35  2004/01/11 16:35:55  qboosh
- removed unneeded wxGTK patch, switched to wxGTK2

Revision 1.34  2004/01/11 03:03:07  arekm
- update to 2.1.pre3

Revision 1.33  2003/11/21 11:44:38  qboosh
- missing dirs

Revision 1.32  2003/09/10 11:44:28  pascalek
- Release 2
- ncurses and wxGTK patches
- with term and rfb

Revision 1.31  2003/09/10 08:31:38  pascalek
- cpu patch added

Revision 1.30  2003/08/18 08:07:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/08/11 20:44:52  ankry
cosmetics

Revision 1.28  2003/08/06 16:37:07  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.27  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 05:46:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/03/04 22:36:57  misi3k
- fixed Source0 URL

Revision 1.24  2003/02/21 19:18:42  misi3k
- updated to 2.0.2

Revision 1.23  2003/01/12 20:45:31  areq
- 2.0.1, STBR

Revision 1.22  2003/01/12 11:34:59  areq
- add Requires:  docbook-dtd41-sgmL

Revision 1.21  2003/01/08 08:40:03  pascalek
- more with and enabled for configure

Revision 1.20  2003/01/07 07:43:03  pascalek
- with wx

Revision 1.19  2003/01/06 13:31:09  pascalek
- updated to 2.0, STBR

Revision 1.18  2002/07/08 02:57:58  blues
- more files

Revision 1.17  2002/07/08 02:39:00  blues
- 1.4.1 (many, many new features)
- configure macro is back
- new doc

Revision 1.16  2002/04/25 15:54:27  arturs
fixed a small typo

Revision 1.15  2002/03/06 14:00:52  alchemyx
- upgraded to 1.3
- bochs-dlx.1 removed from manpages
- vga.pcf _really_ removed
- no gzipping of html files
- added bximage to binaries
- STBR

Revision 1.14  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/16 18:03:29  juandon
- vga.pcf moved to XFree86-fonts

Revision 1.10  2001/09/30 00:36:18  czarny
small fixes

Revision 1.9  2001/08/09 19:27:17  blues
- %configure2_13

Revision 1.8  2001/06/13 20:41:46  blues
- 1.2.1
- changes in %install and %files
- added man pages and more docs

Revision 1.7  2001/06/13 20:13:29  kloczek
- added XFree86-devel and libstdc++-devel to BuildRequires.
NOTE: probably it will be good prepare desktop file for bosh (?).

Revision 1.6  2001/06/13 19:44:11  blues
- corrected URL and sources path

Revision 1.5  2001/06/13 19:28:15  blues
-typo

Revision 1.4  2001/06/13 08:32:24  undefine
- added fonts
- STB?

Revision 1.3  2001/06/12 08:20:34  undefine
- updated to 1.1.2

Revision 1.2  2000/12/07 02:46:00  agaran
$Log fixing
